#!/usr/bin/perl -w
use Test;
BEGIN { plan tests => 3 }
BEGIN { unshift @INC, "../blib/lib" } 
use POWER::lib;
use POWER::SQL;
use DBI;
$dbh = DBI->connect("dbi:mysql:test","test","",{RaiseError=>1});

$table_i = "POWER_SQL_test_i_$$";
$dbh->do("CREATE TABLE $table_i (id int auto_increment primary key, i int)");
END { $dbh->do("DROP TABLE $table_i") }

@test_i = (
    "{i=>undef}"		=> [{id=>1,i=>undef}],
    "{i=>0}"			=> [{id=>1,i=>0}],
    "{i=>1}"			=> [{id=>1,i=>1}],
    );

$sth = $dbh->prepare("SELECT * FROM $table_i");
while (@test_i) {
    ($test, $wait) = (shift @test_i, shift @test_i);
    $dbh->Insert($table_i, eval($test));
    $sth->execute();
    ok(Diff($sth->fetchall_arrayref({}), $wait), 1, $test);
    $dbh->do("DELETE FROM $table_i");
}

